Bug 223441 - AIC7xxx driver with Adaptec 29160N = Domain Validation failure
AIC7xxx driver with Adaptec 29160N = Domain Validation failure
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-19 08:54 EST by Radek Liboska
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 05:06:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Liboska 2007-01-19 08:54:22 EST
Description of problem:

Adaptec 29160N Ultra160 SCSI adapter is no more functional with AIC7xxx driver
in kernel-2.6.19-1.2895.fc6 i686 - computer does not boot  
(Domain Validation detected failure)

Version-Release number of selected component (if applicable):
 kernel-2.6.19-1.2895.fc6 (i686)
 Adaptec 29160N Ultra160 SCSI adapter

How reproducible:
 Computer does not boot (100%). The previous kernels (up to 2.6.18-1.2869.fc6)
were okay.


Steps to Reproduce:
1. Power on
2. 
3.
  
Actual results:

Bunch of "Domain Validation detected failure, dropping back" messages, machine
does not boot 

Expected results:

normal startup:
ACPI: PCI Interrupt 0000:00:0d.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 7.0
        <Adaptec 29160N Ultra160 SCSI adapter>
        aic7892: Ultra160 Wide Channel A, SCSI Id=7, 32/253 SCBs

  Vendor: SEAGATE   Model: ST373307LW        Rev: 0006
  Type:   Direct-Access                      ANSI SCSI revision: 03
scsi0:A:1:0: Tagged Queuing enabled.  Depth 4
 target0:0:1: Beginning Domain Validation
 target0:0:1: wide asynchronous
(scsi0:A:1:0): parity error detected in Data-in phase. SEQADDR(0x1a7) SCSIRATE(0x80)
(scsi0:A:1:0): parity error detected in Data-in phase. SEQADDR(0x1a7) SCSIRATE(0x80)
 target0:0:1: Wide Transfers Fail
 target0:0:1: FAST-40 SCSI 40.0 MB/s ST (25 ns, offset 63)
 target0:0:1: Domain Validation skipping write tests
 target0:0:1: Ending Domain Validation
SCSI device sda: 143374744 512-byte hdwr sectors (73408 MB)
sda: Write Protect is off
sda: Mode Sense: ab 00 10 08
SCSI device sda: drive cache: write back w/ FUA
SCSI device sda: 143374744 512-byte hdwr sectors (73408 MB)
sda: Write Protect is off
sda: Mode Sense: ab 00 10 08
SCSI device sda: drive cache: write back w/ FUA
 sda: sda1 sda2 sda3 sda4
sd 0:0:1:0: Attached scsi disk sda


Additional info:
Comment 1 Radek Liboska 2007-02-15 05:06:50 EST
Sorry, hardware fault is responsible for this behavior
Comment 2 bobsyeruncle 2007-04-25 00:43:46 EDT
Im seeing the same issue with all FC6 kernels over 2.6.18-1.2869.fc6

This is not a HW issue, but more than likely a major bug in aic7XXX kernel module.

FC4/FC5/FC6 ALL OK, until after THIS kernel.

My Adaptec card is  Adaptec AHA-2940U2/U2W

Thanks



Note You need to log in before you can comment on or make changes to this bug.